@echo off

set currentpath=%cd%
cd %~dp0
echo Installing All Drivers 

echo =============================================
echo installing MBI driver
echo =============================================
pnputil -i -a ..\Installer\PlatformInstaller\Drivers\MBI\mbi.inf

echo =============================================
echo installing I2C driver
echo =============================================
pnputil -i -a ..\Installer\PlatformInstaller\Drivers\I2C\iai2ce.inf

echo =============================================
echo installing GPIO driver
echo =============================================
pnputil -i -a ..\Installer\PlatformInstaller\Drivers\GPIO\iagpioe.inf

echo =============================================
echo installing UART driver
echo =============================================
pnputil -i -a ..\Installer\PlatformInstaller\Drivers\UART\iauarte.inf

echo =============================================
echo installing SPI driver
echo =============================================
pnputil -i -a ..\Installer\PlatformInstaller\Drivers\SPI\iaspie.inf

echo =============================================
echo installing PMIC driver
echo =============================================
pnputil -i -a ..\Installer\PlatformInstaller\Drivers\PMIC\PMIC.inf

echo =============================================
echo installing ISH driver
echo =============================================
pnputil -i -a ..\Installer\PlatformInstaller\Drivers\ISH\HECI_ISH\ISH.inf
pnputil -i -a ..\Installer\PlatformInstaller\Drivers\ISH\Bus\ISH_BusDriver.inf
pnputil -i -a ..\Installer\PlatformInstaller\Drivers\ISH\Miniport\HID_PCI.inf
pnputil -i -a ..\Installer\PlatformInstaller\Drivers\ISH\HidEventFilter\HIDEventFilter.inf
pnputil -i -a ..\Installer\PlatformInstaller\Drivers\ISH\AdvSensorHIDClassDriver\AdvSensorClassDriver.inf
pnputil -i -a ..\Installer\PlatformInstaller\Drivers\ISH\AdvSensorHIDClassDriverV2\AdvSensorHIDClassDriverV2.inf

echo =============================================
echo installing Battery management driver
echo =============================================
pnputil -i -a ..\Installer\PlatformInstaller\Drivers\BM\IntelBatteryManagement.inf

echo =============================================
echo installing DPTF driver
echo =============================================
pnputil -i -a ..\Installer\PlatformInstaller\Drivers\DPTF\esif_manager.inf
pnputil -i -a ..\Installer\PlatformInstaller\Drivers\DPTF\DPTF_acpi.inf
pnputil -i -a ..\Installer\PlatformInstaller\Drivers\DPTF\DPTF_cpu.inf
pnputil -i -a ..\Installer\PlatformInstaller\Drivers\DPTF\DPTF_pch.inf

echo =============================================
echo installing TXEI driver
echo =============================================
pnputil -i -a ..\Installer\PlatformInstaller\Drivers\TXEI\TXEI.inf

echo =============================================
echo installing Audio driver
echo =============================================
pnputil -i -a ..\Installer\PlatformInstaller\Drivers\Audio\AudioRealTek\isstrtc\isstrtc.inf
pnputil -i -a ..\Installer\PlatformInstaller\Drivers\Audio\AudioRealTek\rtii2sac\rtii2sac.inf

echo =============================================
echo installing PSS driver
echo =============================================
pnputil -i -a ..\Installer\PlatformInstaller\Drivers\PSS\MonzaX.inf

echo =============================================
echo installing iacamera driver
echo =============================================
pnputil -i -a ..\Installer\PlatformInstaller\Drivers\Camera\iaisp32\iaisp32.inf
pnputil -i -a ..\Installer\PlatformInstaller\Drivers\Camera\iacamera32\iacamera32.inf
pnputil -i -a ..\Installer\PlatformInstaller\Drivers\Camera\gc2355\gc2355.inf
pnputil -i -a ..\Installer\PlatformInstaller\Drivers\Camera\gc0310\gc0310.inf

echo =============================================
echo installing GNSS driver
echo =============================================
pnputil -i -a ..\Installer\PlatformInstaller\Drivers\gnss\gnssDriver.inf

echo =============================================
echo installing Touch driver
echo =============================================
pnputil -i -a ..\Installer\PlatformInstaller\Drivers\Touch\GoodixTouchDriver.inf

echo =============================================
echo installing GFX driver
echo =============================================
pnputil -i -a ..\Installer\PlatformInstaller\Drivers\Graphics\igdlh.inf

echo =============================================
echo installing WiFi driver
echo =============================================
pnputil -i -a ..\Installer\PlatformInstaller\Drivers\WIFI\bcmfn2.inf
pnputil -i -a ..\Installer\PlatformInstaller\Drivers\WIFI\bcmwdidhdsdio.inf

echo =============================================
echo installing Bluetooth driver
echo =============================================
pnputil -i -a ..\Installer\PlatformInstaller\Drivers\BT\BtwSerialBus.inf

echo =============================================
echo installing Sensor driver
echo =============================================
pnputil -i -a ..\Installer\PlatformInstaller\Drivers\sensors\kxacc.inf
::..\Installer\PlatformInstaller\Drivers\sensors\dpinst.exe /s


cd ..\..

echo All drivers are installed !